<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<application done="file_write">
  <instance component="ocpi.core.file_read" connect="fast_fourier_transform_xs">
    <property name="filename" value="input.bin"/>
    <property name="messagesinfile" value="true"/>
  </instance>
  <instance component="ocpi.comp.sdr.dsp.fast_fourier_transform_xs" connect="file_write">
    <property name="inverse_fft" value="false"/>
    <property name="indicate_start_of_fft_block" value="true"/>
    <property name="increment_fft_block_value" value="true"/>
    <property name="start_of_fft_block_id" value="0"/>
    <property name="start_of_fft_block_value" value="0"/>
    <property name="fft_length" value="64"/>
    <property name="gain_factor" value="256"/>
    <property name="metadata_fifo_size" value="4"/>
  </instance>
  <instance component="ocpi.core.file_write">
    <property name="filename" value="output.bin"/>
    <property name="messagesinfile" value="true"/>
  </instance>
</application>
